<?php
namespace PrestaShop\Module\LCVPrestaConnector;

use LCVPrestaConnector;

class Upgrade_9_0_13 {    
    /**
     * Déclenche la mise à jour de la base de données du module
     */
    public function upgrade(LCVPrestaConnector $module, $db)
    {          
          // On créer une table pour gérer les envois de commandes
          if (!$db->execute("
               UPDATE `" . _DB_PREFIX_ . "product_supplier`
               SET `product_supplier_reference` = REPLACE(`product_supplier_reference`, '/', '|')
               WHERE
                    `id_supplier` = ".($module->getCfg()->get(SyncConfiguration::CFG_SUPPLIER) ?? 0)." AND
                    `product_supplier_reference` REGEXP '^[0-9]+/[A-Za-z0-9+/]+=*$'
          "))
               throw new \Exception('Erreur lors de la correction des références produits');
    }
}